Skip to main content
PUT
/
trails
/
{org}
/
{flow_name}
Begin trail
curl --request PUT \
  --url https://app.kosli.com/api/v2/trails/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'data_json={
  "name": "<string>",
  "description": "<string>",
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "author_username": "<string>",
    "branch": "<string>",
    "timestamp": 123,
    "url": "<string>",
    "parents": [
      "<string>"
    ]
  },
  "repo_info": {
    "name": "<string>",
    "url": "<string>",
    "id": "<string>",
    "description": "<string>",
    "provider": "github"
  },
  "origin_url": "<string>",
  "external_urls": {},
  "user_data": {}
}' \
  --form 'template_file=<string>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
org
string
required

Body

multipart/form-data
data_json
CreateTrail · object
required

Trail metadata in JSON format

template_file
string | null

Optional flow template file (max size: 10MB)

Response

201 - application/json

Successful Response

Last modified on April 9, 2026